DEBCLEAN(1)

NOM
debclean - Nettoyer une arborescence de code source

SYNOPSIS
debclean [options]

DESCRIPTION
debclean parcourt l’arborescence des répertoires en commençant par l’arborescence du répertoire d’où il a été appelé, et exécute debuild -- clean pour chaque répertoire source Debian rencontré. Ces répertoires sont reconnus parce qu’ils contiennent un fichier debian/changelog pour le paquet dont le nom correspond au nom du répertoire. La correspondance des noms est décrite plus bas.

Si debclean est invoqué à partir d’un répertoire qui est déjà un paquet source Debian, il ne descendra pas dans ses sous-répertoires.

En outre, si l’option --cleandebs est donnée, alors dans chaque répertoire contenant une arborescence source Debian, tous les fichiers nommés *.deb, *.changes et *.build sont supprimés. Les fichiers .dsc, .diff.gz et (.orig).tar.gz ne sont pas touchés afin que la version puisse être reconstruite si nécessaire et les fichiers .upload sont laissés pour que debchange fonctionne correctement. L’option --nocleandebs empêche ce comportement de nettoyage supplémentaire et l’option --cleandebs le force. Par défaut, le nettoyage n’est pas réalisé.

debclean utilise debuild(1) pour nettoyer l’arborescence des sources.

Vérification du nom du répertoire
Comme certains autres scripts du paquet devscripts, debclean parcourt une arborescence de répertoires pour trouver des fichiers debian/changelog. Pour éviter les problèmes posés par les fichiers égarés, il examine le nom du répertoire parent une fois qu’il a trouvé le fichier debian/changelog, et vérifie que le nom du répertoire correspond au nom du paquet. La façon précise utilisée est contrôlée par les deux variables du fichier de configuration DEVSCRIPTS_CHECK_DIRNAME_LEVEL et DEVSCRIPTS_CHECK_DIRNAME_REGEX, et les options en ligne de commande associées --check-dirname-level et --check-dirname-regex.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL peut prendre les valeurs suivantes :

0   Ne jamais vérifier le nom du répertoire.

1   Ne vérifier le nom du répertoire que s’il a fallu changer de répertoire pour trouver le fichier debian/changelog. C’est le comportement par défaut.

2   Toujours vérifier le nom du répertoire.

Le nom du répertoire est vérifié en testant si le nom du répertoire actuel (donné par pwd(1)) correspond à l’expression rationnelle donnée par la variable DEVSCRIPTS_CHECK_DIRNAME_REGEX du fichier de configuration ou par l’option --check-dirname-regex regex. Ici regex est une expression rationnelle Perl (voir perlre(1)), qui sera ancrée à son début et à sa fin. Si regex contient un "/", alors elle doit correspondre au chemin complet, sinon elle doit correspondre au nom de répertoire complet. Si regex contient la chaîne "PACKAGE", cette chaîne sera remplacée par le nom du paquet source déterminé par le journal de modifications. La valeur par défaut de cette expression rationnelle est "PACKAGE(-.+)?", ce qui correspond aux répertoires nommés PACKAGE ou PACKAGE-version.

OPTIONS

--cleandebs
    Enlever également tous les fichiers .deb, .changes et .build du répertoire parent.

--nocleandebs
    Ne pas supprimer les fichiers .deb, .changes et .build du répertoire parent. C’est le comportement par défaut.

--check-dirname-level N
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de cette option.

--check-dirname-regex regex
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de cette option.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L’option ne peut être utilisée qu’en première position de la ligne de commande.

-d  Ne pas exécuter dpkg-checkbuilddeps pour vérifier les dépendances de construction du paquet ("build dependencies").

--help
    Afficher un message d’aide et quitter avec succès.

--version
    Afficher la version et le copyright, puis quitter avec succès.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d’environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

DEBCLEAN_CLEANDEBS
    Lui attribuer la valeur yes équivaut à utiliser l’option --cleandebs.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL, DEVSCRIPTS_CHECK_DIRNAME_REGEX
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de ces variables. Remarquez que ce sont des variables de configuration pour tous les outils du paquet devscripts ; elles impacteront tous les scripts qui les utilisent, comme indiqué dans leurs pages de manuel respectives et dans devscripts.conf(5).

VOIR AUSSI
debuild(1), devscripts.conf(5)

AUTEUR
Christoph Lameter <clameter@debian.org> ; modifications par Julian Gilbey <jdg@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.